[Buildroot] [PATCH v2 3/4] package/avrdude: depends on libftdi1 instead of libftdi

Samuel Martin s.martin49 at gmail.com
Tue Mar 17 20:21:42 UTC 2015


Thomas,

On Tue, Mar 17, 2015 at 9:06 PM, Thomas Petazzoni
<thomas.petazzoni at free-electrons.com> wrote:
> Dear Samuel Martin,
>
> On Tue, 17 Mar 2015 18:25:52 +0100, Samuel Martin wrote:
>
>> Nope, the behavior is not undefined: if libftdi gets built before
>> arvdude, libftdi1 will also be built before avrdude (because it's one
>> of its deps,)
>
> Hum, I don't follow you here. I don't see where libftdi depends on
> libftdi1.

doh! i think we are misunderstanding each others... :-|

>
> What prevents from doing a configuration that has libftdi and avrdude
> enabled, and not libftdi1 ?

nothing at all, this still is a legit config.

>
> Apparently nothing:
>
> $ grep -E "(LIBFTDI|LIBFTDI1|AVRDUDE)" .config
> BR2_PACKAGE_AVRDUDE=y
> BR2_PACKAGE_LIBFTDI=y
> # BR2_PACKAGE_LIBFTDI1 is not set
>
> Best regards,
>
> Thomas
> --
> Thomas Petazzoni, CTO, Free Electrons
> Embedded Linux, Kernel and Android engineering
> http://free-electrons.com

Regards,

-- 
Samuel


More information about the buildroot mailing list